Option (JSAP: the Java Simple Argument Parser)
Keywords: com.martiansoftware.jsap.Option class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.martiansoftware.jsap
Class Option

    java.lang.Object
      com.martiansoftware.jsap.Parameter
          com.martiansoftware.jsap.Option

Direct Known Subclasses:
  FlaggedOption, UnflaggedOption

    public abstract class Option

extends Parameter

The base class from which FlaggedOption and UnflaggedOption are derived. An Option is a Parameter that requires some information (unlike a Switch whose mere presence is significant).
Options may be declared as lists, or multiple values separated by a delimiting character. An example of a list option might be a classpath, which is a collection of paths separated by a ":" on *nix systems and a ";" on DOS/Windows systems. JSAP automatically separates list options into multiple tokens before calling their StringParsers' parse() method.

The default list separator is JSAP.DEFAULT_LISTSEPARATOR, which is defined as the platform's path separator character (":" on *nix and ";" on DOS/Windows as described above).

Author:
  Marty Lamb
See Also:
  `Flagged`, `Option`

Constructor Summary
`Option(String id)` Creates a new Option with the specified unique ID.

Method Summary
`char` | `getListSeparator()` Returns the current list separator character for this Option.
`StringParser` | `getStringParser()` Returns the StringParser to which this Option will delegate calls to its parse() method, or null if no StringParser is currently defined.
`boolean` | `isList()` Returns a boolean indicating whether this Option is a list.
`boolean` | `required()` Returns a boolean indicating whether this Option is required.

Methods inherited from class com.martiansoftware.jsap.Parameter
`addDefault, getDefault, getHelp, getID, getSyntax, getUsage, getUsageName, setHelp`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Option

    public Option(String id)

  Creates a new Option with the specified unique ID.

  Parameters:
    `id` - the unique ID for this Option.

Method Detail

### isList

    public final boolean isList()

  Returns a boolean indicating whether this Option is a list.

  Returns:
    a boolean indicating whether this Option is a list.

### getListSeparator

    public final char getListSeparator()

  Returns the current list separator character for this Option.

  Returns:
    the current list separator character for this Option.

### required

    public final boolean required()

  Returns a boolean indicating whether this Option is required.

  Returns:
    a boolean indicating whether this Option is required.

### getStringParser

    public final StringParser getStringParser()

  Returns the StringParser to which this Option will delegate calls to its parse() method, or null if no StringParser is currently defined.

  Returns:
    the StringParser to which this Option will delegate calls to its parse() method, or null if no StringParser is currently defined.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005, Martian Software, Inc.. All Rights Reserved.
For the latest version and documentation, please visit http://www.martiansoftware.com/jsap